GNU bug report logs - #43093
emacs-ess fails to build: FAILED test-ess-roxy-literate

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: divoplade <d@HIDDEN>; dated Fri, 28 Aug 2020 20:41:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to 'emacs-ess fails to build: FAILED test-ess-roxy-literate' from 'emacs-ess is broken by emacs 27.1' Request was from divoplade <d@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43093 <at> debbugs.gnu.org:


Received: (at 43093) by debbugs.gnu.org; 4 Sep 2020 19:00:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 15:00:32 2020
Received: from localhost ([127.0.0.1]:40609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEGwp-00068F-Oe
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 15:00:32 -0400
Received: from lavabit.com ([76.8.29.66]:18560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timhowes@HIDDEN>) id 1kEGOx-0005KS-TK
 for 43093 <at> debbugs.gnu.org; Fri, 04 Sep 2020 14:25:34 -0400
Received: from 192.168.131.127 (158-51-80-100.pool.common.net [158.51.80.100])
 by lavabit.com with ESMTP id DCQJBIG9OCBI;
 Fri, 04 Sep 2020 13:25:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lavabit.com; s=bazinga;
 t=1599243925; bh=b/VOafROIp4Jvxa8Orv9s2mqoPykjvXtsCQqQCyXCVU=;
 h=Subject:To:References:From:Message-ID:Date:User-Agent:
 MIME-Version:In-Reply-To:Content-Type:Content-Language:
 Content-Transfer-Encoding;
 b=Hx52tpjRuwp2L3vqlja8AxL2I5JIQ1MVv+bjx2FJfm0bFG5IuPeM7ALdUjA3yFfXe
 w+FrxVJxh6vctIXHLm5JWfWqb6gCNBHKUmJVtgmk44R6awCNqXosv+ZuOL41D1hYpp
 Xp6vUw0D+6BJE5UK/8yRn+purFJGyyRguj3p7n7uVmaUqmloDn6b+tJwjqj32wKLkL
 R/8uHnUvyCApUKiYKicOib7JF4QH9r9dfD09LQT7KsGsjrnkYit9p+11+YTSR7aidq
 BOQ0H202ytv21YerhQBnqTVcD8c82WP6Cjan63XNN0fnnG49ALGJ5l7iq/d8Q+n9T+
 IGor9ANBZAjAg==
Subject: Re: bug#43093: emacs-ess is broken by emacs 27.1
To: divoplade <d@HIDDEN>, 43093 <at> debbugs.gnu.org
References: <605a30acc9c66c09938147cccfcaafc3b9f8d57e.camel@HIDDEN>
From: Tim Howes <timhowes@HIDDEN>
Message-ID: <1dcca395-324d-d167-836d-31329e2c3fd7@HIDDEN>
Date: Fri, 4 Sep 2020 11:25:24 -0700
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:68.0) Gecko/20100101
 Thunderbird/68.12.0
MIME-Version: 1.0
In-Reply-To: <605a30acc9c66c09938147cccfcaafc3b9f8d57e.camel@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 43093
X-Mailman-Approved-At: Fri, 04 Sep 2020 15:00:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 8/28/2020 1:07 PM, divoplade wrote:
> Hello all,
> 
> Right now emacs-ess is broken so I cannot upgrade to emacs 27. The
> failing test is "test-ess-roxy-literate".
> 
> Thank you anyway, I cannot wait to have emacs 27!
> 
> divoplade
> 
> 
> 
> 

Hello,

I think, instead of disabling the test or trying to make it work with 
emacs 27, I'd like to update emacs-ess to a more recent version. Right 
now it's using the latest tagged release (18.10.2), which was from 2018, 
but there's been active development on the github repo since then. I can 
take the latest commit and give it a version number based on the commit 
time, similar to how it's done on melpa (20200903.1516). I'll try making 
a patch to update it to that version.

-Tim





Information forwarded to bug-guix@HIDDEN:
bug#43093; Package guix. Full text available.

Message received at 43093 <at> debbugs.gnu.org:


Received: (at 43093) by debbugs.gnu.org; 4 Sep 2020 18:10:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 14:09:59 2020
Received: from localhost ([127.0.0.1]:40579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEG9v-0004u7-Lk
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 14:09:59 -0400
Received: from mail-qv1-f42.google.com ([209.85.219.42]:34681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kEG9u-0004tu-02
 for 43093 <at> debbugs.gnu.org; Fri, 04 Sep 2020 14:09:58 -0400
Received: by mail-qv1-f42.google.com with SMTP id c6so210889qvj.1
 for <43093 <at> debbugs.gnu.org>; Fri, 04 Sep 2020 11:09:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Gv2xOru8mjfYHItlNUR1Kv1GWyCQciq7dKrdEcFv8+A=;
 b=JZAniEXTdl/Moc+1PsYsj3Xen6YX0ykMXw4/qXUdU8uCLU+jA/BaFJckwiyl6XBp3L
 iB1sErX0XUN0c5mypjfXmWAlDshYdXpWlvNGtClxbHI0pNLQwQ1w+qgV7/HfbWSrO9uf
 QPca6v/fiQdUAND3pWylJJB1xvlgykMwBV8EBMwSKMeHlnvAOiY1zdMzPljoaK0OoluR
 lJA4pZzVdc+CD7a10/Y+GGnbVSi5qMjeOpJtaWJ7dtu1dAGpPQjR0YEKZk9jEXDX7UJE
 nz85CDdqsqN90eCldRt3j92pBBu+EpZ9+hoZ1y20lvnaPKrzd6TWsWG7Rj3mwU8lUBza
 Epow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Gv2xOru8mjfYHItlNUR1Kv1GWyCQciq7dKrdEcFv8+A=;
 b=lFkBY3mMrCMVkP1mvLYYem95d/fC0LcCSdFgoPNtBvcNDbgsB9C7DUIbQKKBeZGrkA
 IiBun2tA75vgqYGi7FAw7A7ma0dTJ/5QFUaa4jbRXoQxgQZIcAGAgbZlxZTmnK9Hq0GV
 +kiN7QMWPowkmCYIXoe3P1DK0D702NK9Q3dNn7NyBhUM/Zg/xNQ5rwcbvdZ1jSMzthlh
 nwUYKDvp9B59GzMPoM4kVckiBTtrV+M2RojK5+svB/HDzuaaAj4fpR6SuszCKwzjXDQc
 zKFKsne0xrFYbwfBEb1hqgmQBgOU0RUJ0aP8jSeN8i5cHXsBagm6RRCgRW78mFy5/bsX
 sVOA==
X-Gm-Message-State: AOAM530S18L/al6RHJkATXJ4uEdptBPi5rUr95+6zyiMXGB41CdIZ5it
 fjSxZbHQiwOcSrEKlTzF2papdSoqDR9AJH5xubRygE/vgKM=
X-Google-Smtp-Source: ABdhPJywFiO1M1YJKkjvGWa56uitQwEkRo2sgboLCOApSf9Y9+Lwl1I/XEf4e+JJf4lc5WFjThwhVM5VF9C9NsKqNng=
X-Received: by 2002:a0c:becc:: with SMTP id f12mr8932982qvj.46.1599242992468; 
 Fri, 04 Sep 2020 11:09:52 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ3okZ1g=zR7xotbjjxqefnxgPmX0txeBOddoRZ4BTGv85xR=w@HIDDEN>
 <990023fbe6d2c7c3cb7d994077bc990dabef2e1b.camel@HIDDEN>
In-Reply-To: <990023fbe6d2c7c3cb7d994077bc990dabef2e1b.camel@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 4 Sep 2020 20:09:41 +0200
Message-ID: <CAJ3okZ0a_C_XDEZMcLpuvi1XGsCj+yv6wFMiWrNnCwZnUyQPQg@HIDDEN>
Subject: Re: Is Emacs 27.1 that breaks emacs-ess?
To: divoplade <d@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43093
Cc: 43093 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 4 Sep 2020 at 17:26, divoplade <d@HIDDEN> wrote:

> Well, you must be right. I did not think it out long enough. It broke
> at the same time I saw the emacs update, so I inferred it incorrectly.

Nonetheless, it is still annoying. :-)

> > Note that the parent commit c05d2cfcbd builds successfully on my
> > machine.  Therefore, I do not know from where the failure comes from.
> I can't find such a commit ID. It does not seem to exist in the git
> repo. Do you know the date, author or committer?

   git log --format="%p" -1 36a09d1853

and the answer is c05d2cfcbe.  I do not know how I did the mistake
when copy/pasting.

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43093; Package guix. Full text available.

Message received at 43093 <at> debbugs.gnu.org:


Received: (at 43093) by debbugs.gnu.org; 4 Sep 2020 17:01:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 13:01:56 2020
Received: from localhost ([127.0.0.1]:40511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEF64-0003JL-2T
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 13:01:56 -0400
Received: from world.peace.net ([64.112.178.59]:56054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kEF62-0003J7-4E
 for 43093 <at> debbugs.gnu.org; Fri, 04 Sep 2020 13:01:54 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kEF5v-0007v8-SI; Fri, 04 Sep 2020 13:01:47 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: divoplade <d@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>,
 43093 <at> debbugs.gnu.org
Subject: Re: bug#43093: Is Emacs 27.1 that breaks emacs-ess?
In-Reply-To: <990023fbe6d2c7c3cb7d994077bc990dabef2e1b.camel@HIDDEN>
References: <CAJ3okZ1g=zR7xotbjjxqefnxgPmX0txeBOddoRZ4BTGv85xR=w@HIDDEN>
 <990023fbe6d2c7c3cb7d994077bc990dabef2e1b.camel@HIDDEN>
Date: Fri, 04 Sep 2020 13:00:37 -0400
Message-ID: <87wo19qxwv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43093
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

divoplade <d@HIDDEN> writes:
> Is it possible to edit the title?

Yes.  To do so, send an email to 'control <at> debbugs.gnu.org' with the
following two-line body:

--8<---------------cut here---------------start------------->8---
retitle 43093 THE_NEW_BUG_TITLE_GOES_HERE
thanks
--8<---------------cut here---------------end--------------->8---

For more details on how to use the control server, see:

  https://debbugs.gnu.org/server-control.html

which is linked from the main debbugs help page, here:

  https://debbugs.gnu.org

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#43093; Package guix. Full text available.

Message received at 43093 <at> debbugs.gnu.org:


Received: (at 43093) by debbugs.gnu.org; 4 Sep 2020 16:10:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 12:10:19 2020
Received: from localhost ([127.0.0.1]:40460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEEI6-0008El-TJ
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 12:10:19 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:60703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <d@HIDDEN>) id 1kEDc7-0007Ab-Ma
 for 43093 <at> debbugs.gnu.org; Fri, 04 Sep 2020 11:26:56 -0400
X-Originating-IP: 86.194.83.229
Received: from gnou.home (lfbn-lyo-1-1007-229.w86-194.abo.wanadoo.fr
 [86.194.83.229]) (Authenticated sender: d@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 6039760008;
 Fri,  4 Sep 2020 15:26:48 +0000 (UTC)
Message-ID: <990023fbe6d2c7c3cb7d994077bc990dabef2e1b.camel@HIDDEN>
Subject: Re: Is Emacs 27.1 that breaks emacs-ess?
From: divoplade <d@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 43093 <at> debbugs.gnu.org
Date: Fri, 04 Sep 2020 17:26:41 +0200
In-Reply-To: <CAJ3okZ1g=zR7xotbjjxqefnxgPmX0txeBOddoRZ4BTGv85xR=w@HIDDEN>
References: <CAJ3okZ1g=zR7xotbjjxqefnxgPmX0txeBOddoRZ4BTGv85xR=w@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43093
X-Mailman-Approved-At: Fri, 04 Sep 2020 12:10:17 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,
Le vendredi 04 septembre 2020 à 16:44 +0200, zimoun a écrit :
> But the commit 36a09d1853 introducing Emacs 27 had been pushed on Fri
> Aug 28
> 00:13:51 2020 -0400 and the CI reported failures before this
> offending
> commit.
> 
> https://ci.guix.gnu.org/search?query=spec%3Aguix-master+system%3Ax86_64-linux+emacs-ess
> 
> For other examples, see:
> 
> https://data.guix.gnu.org/repository/1/branch/master/package/emacs-ess/output-history
> 
> reporting issues both on Berlin and Bayfront and before the push of
> Emacs 27.
> 

Well, you must be right. I did not think it out long enough. It broke
at the same time I saw the emacs update, so I inferred it incorrectly.
Is it possible to edit the title?

> 
> Note that the parent commit c05d2cfcbd builds successfully on my
> machine.  Therefore, I do not know from where the failure comes from.
I can't find such a commit ID. It does not seem to exist in the git
repo. Do you know the date, author or committer?





Information forwarded to bug-guix@HIDDEN:
bug#43093; Package guix. Full text available.

Message received at 43093 <at> debbugs.gnu.org:


Received: (at 43093) by debbugs.gnu.org; 4 Sep 2020 14:44:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 10:44:45 2020
Received: from localhost ([127.0.0.1]:40311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kECxJ-00068M-Ag
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 10:44:45 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:46733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kECxH-000688-Do
 for 43093 <at> debbugs.gnu.org; Fri, 04 Sep 2020 10:44:43 -0400
Received: by mail-qt1-f180.google.com with SMTP id b3so4716033qtg.13
 for <43093 <at> debbugs.gnu.org>; Fri, 04 Sep 2020 07:44:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=LVvpWVoOvBXUu+OW9a11D5hxg7VQjQnDlOX2bhdeQcc=;
 b=FI2A+Q0bNx90AXB0ZInX3EmjeNoMVP46ylR5u2gtdZKKy4ZEYKNG+RVcJaVXQOq2ke
 MIDUACx6A1AlhRhDHiheyRqMBHEoQEK6RDsoYHGCFZg89/aORPIhI1YSeMyagPLhJ4GI
 eq9LSjOepxCrrNdc5HlY2iQJouZZywB2ovMB6qjewF2tT7VIQo4tPc/LuNUTFL4yS+Ix
 Gp+G27YzqfDZ11eKgoOOlz2lX3DLSlb8TiAyIHLV2lM0/QjCCCjpFdNjAmvwCiKpGi8r
 1mGEVnpHCSC+qDaCA69QvKBXSn2eKnyWan2cwN+XPfqBrES1BAT4jemfE24L6IjN8H/9
 wQTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=LVvpWVoOvBXUu+OW9a11D5hxg7VQjQnDlOX2bhdeQcc=;
 b=UFE1T2Q1JYPxDSyAEtbHuMUgI4cTSkEbzDbE/kCZtTWiXTM0xoV4x4fQFcTFrnlXo0
 rDJz0GHqtHNdA8CD+uhDoOZfPWJ0K+BLlrnEj1QYgPbXN5aWbvWtjyJFd6P5cCUb/4EO
 2hh6F7NopPW0KxJUJJv+GzfCDVDbX3QYTGdP81W1tezu47fpzqNr8SgwlZrsA3prwXoQ
 9s2juwqoUbFf4W+eIfoiYPNL+tDIZIo1CKhASWu8wZMWlHEXa7Q+LCd2MlNexgmxBM59
 DP9ZRL+9mAjAjBlOY1KFMmlWz/HuDRagYkP3q+SuoaCp8N7j8UA/OL8JsjypYLqQmuHP
 iJDA==
X-Gm-Message-State: AOAM531lpn80ixQrazvscJ6D+3wAKoFlkPST8kaGPf3F9fE45cLXv9e2
 eQUPnafV7sM/OaJ+Ng5prWmDKwb9SX3+mLE+w8qC/9acmOc=
X-Google-Smtp-Source: ABdhPJzfQ4aXquXYGRAuOxMRCxJKHjZ/n2K+aAqehAS8p3M/BLl+QVzbihMGI793GRegN/QVElwRbvt7N8hzJXT0ZwU=
X-Received: by 2002:ac8:5317:: with SMTP id t23mr9237224qtn.354.1599230677620; 
 Fri, 04 Sep 2020 07:44:37 -0700 (PDT)
MIME-Version: 1.0
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 4 Sep 2020 16:44:26 +0200
Message-ID: <CAJ3okZ1g=zR7xotbjjxqefnxgPmX0txeBOddoRZ4BTGv85xR=w@HIDDEN>
Subject: Is Emacs 27.1 that breaks emacs-ess?
To: 43093 <at> debbugs.gnu.org, divoplade <d@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43093
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

On Fri, 28 Aug 2020 at 22:07, divoplade <d@HIDDEN> wrote:

> Right now emacs-ess is broken so I cannot upgrade to emacs 27. The
> failing test is "test-ess-roxy-literate".

I confirm.

--8<---------------cut here---------------start------------->8---
guix time-machine --commit=36a09d1853 \
     -- build emacs-ess -K
--8<---------------cut here---------------end--------------->8---

leads to "build of
/gnu/store/xm0lh7c0xfq3l0gfq34hxp1kjcnm6dri-emacs-ess-18.10.2.drv
failed" where the log reads:

--8<---------------cut here---------------start------------->8---
1 unexpected results:
   FAILED  test-ess-roxy-literate

2 skipped results:
  SKIPPED  runner-R-3\.2\.1-buffer-name
  SKIPPED  runner-R-3\.2\.1-defined
--8<---------------cut here---------------end--------------->8---

But the commit 36a09d1853 introducing Emacs 27 had been pushed on Fri Aug 28
00:13:51 2020 -0400 and the CI reported failures before this offending
commit.

https://ci.guix.gnu.org/search?query=spec%3Aguix-master+system%3Ax86_64-linux+emacs-ess

For other examples, see:

https://data.guix.gnu.org/repository/1/branch/master/package/emacs-ess/output-history

reporting issues both on Berlin and Bayfront and before the push of Emacs 27.


Note that the parent commit c05d2cfcbd builds successfully on my
machine.  Therefore, I do not know from where the failure comes from.


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43093; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Aug 2020 20:40:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 16:40:51 2020
Received: from localhost ([127.0.0.1]:47525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBlB2-0008Q0-HX
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 16:40:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:60320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <d@HIDDEN>) id 1kBkex-0007cL-NN
 for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 16:07:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51628)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <d@HIDDEN>) id 1kBkex-0007lH-HF
 for bug-guix@HIDDEN; Fri, 28 Aug 2020 16:07:39 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:50031)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <d@HIDDEN>) id 1kBker-00018A-LM
 for bug-guix@HIDDEN; Fri, 28 Aug 2020 16:07:39 -0400
X-Originating-IP: 86.202.177.223
Received: from gnou.home (lfbn-lyo-1-88-223.w86-202.abo.wanadoo.fr
 [86.202.177.223]) (Authenticated sender: d@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id D0C9BC0003
 for <bug-guix@HIDDEN>; Fri, 28 Aug 2020 20:07:27 +0000 (UTC)
Message-ID: <605a30acc9c66c09938147cccfcaafc3b9f8d57e.camel@HIDDEN>
Subject: emacs-ess is broken by emacs 27.1
From: divoplade <d@HIDDEN>
To: bug-guix@HIDDEN
Date: Fri, 28 Aug 2020 22:07:26 +0200
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=217.70.183.198; envelope-from=d@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/28 16:07:28
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 28 Aug 2020 16:40:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hello all,

Right now emacs-ess is broken so I cannot upgrade to emacs 27. The
failing test is "test-ess-roxy-literate".

Thank you anyway, I cannot wait to have emacs 27!

divoplade





Acknowledgement sent to divoplade <d@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43093; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 4 Sep 2020 19:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.